<?php
declare(strict_types=1);


namespace Lewisdale\App\Models\Repositories;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\EntityRepository;
use Lewisdale\App\Models\Data\FeedFilter;

/** @extends EntityRepository<FeedFilter> */
class FeedFilterRepository extends EntityRepository
{
    public function __construct(EntityManager $em)
    {
        parent::__construct($em, $em->getClassMetadata(FeedFilter::class));
    }
}