<?php
declare(strict_types=1);

session_start();

// Protect against session hijacking
if (!isset($_SESSION['fingerprint'])) {
    session_regenerate_id();
    $_SESSION['fingerprint'] = $_SERVER['HTTP_USER_AGENT'];
}

if ($_SESSION['fingerprint'] !== $_SERVER['HTTP_USER_AGENT']) {
    session_unset();
}
