<?php
declare(strict_types=1);


namespace Lewisdale\App\Models\Repositories;

use Doctrine\ORM\EntityManager;
use Doctrine\ORM\EntityRepository;
use Lewisdale\App\Models\Data\Feed;

/** @extends EntityRepository<Feed> */
class FeedRepository extends EntityRepository
{
    public function __construct(EntityManager $em)
    {
        parent::__construct($em, $em->getClassMetadata(Feed::class));
    }

    public function save(Feed $feed): void
    {
        $this->_em->persist($feed);
        $this->_em->flush();
    }
}